Bug 199468 - NullPointerException at org.netbeans.modules.cnd.makeproject.configurations.ConfigurationXMLCodec.<init>
NullPointerException at org.netbeans.modules.cnd.makeproject.configurations.C...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
7.0
All All
: P3 (vote)
: 7.0.1
Assigned To: Alexander Simon
issues@cnd
EXCEPTIONS_REPORT, 701patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-16 15:47 UTC by Vladimir Voskresensky
Modified: 2011-09-26 13:36 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.99 KB, text/plain)
2011-06-16 15:47 UTC, Vladimir Voskresensky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2011-06-16 15:47:22 UTC
Build: NetBeans IDE Dev (Build 20110616-c6005e8aca31)
VM: Java HotSpot(TM) Client VM, 11.0-b15, Java(TM) SE Runtime Environment, 1.6.0_10-b33
OS: Windows XP

User Comments:
vv159170: open IDE number of old projects




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.cnd.makeproject.configurations.ConfigurationXMLCodec.<init>(ConfigurationXMLCodec.java:140)
   at org.netbeans.modules.cnd.makeproject.configurations.ConfigurationXMLReader._read(ConfigurationXMLReader.java:154)
   at org.netbeans.modules.cnd.makeproject.configurations.ConfigurationXMLReader.access$000(ConfigurationXMLReader.java:82)
   at org.netbeans.modules.cnd.makeproject.configurations.ConfigurationXMLReader$1.runImpl(ConfigurationXMLReader.java:136)
   at org.netbeans.modules.cnd.utils.NamedRunnable.run(NamedRunnable.java:62)
   at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
Comment 1 Vladimir Voskresensky 2011-06-16 15:47:27 UTC
Created attachment 108929 [details]
stacktrace
Comment 2 Alexander Simon 2011-06-20 11:49:13 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/771ee67a5d32
Comment 3 Quality Engineering 2011-06-21 16:06:01 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/771ee67a5d32
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #199468 NullPointerException at org.netbeans.modules.cnd.makeproject.configurations.ConfigurationXMLCodec.<init>
Comment 4 Alexander Simon 2011-08-15 10:33:56 UTC
Fix transplanted to release701_fixes on elif:
771ee67a5d32 transplanted to 35bc7c56eeef
Comment 5 Alexander Pepin 2011-08-19 13:15:30 UTC
Verified in dev build #22 (20110818).
Comment 6 Alexander Simon 2011-08-24 11:30:15 UTC
integrated in release701_fixes:
35bc7c56eeef transplanted to 860e4fb5fa4a
Comment 7 Quality Engineering 2011-08-25 04:27:40 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/860e4fb5fa4a
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #199468 NullPointerException at org.netbeans.modules.cnd.makeproject.configurations.ConfigurationXMLCodec.<init>
(transplanted from 35bc7c56eeef8b692fbf385f6b38ba9728a0d43f)
Comment 8 Alexander Pepin 2011-08-29 15:49:16 UTC
verified in 7.0.1 patch1.
Comment 9 Quality Engineering 2011-09-26 13:36:30 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/35bc7c56eeef
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #199468 NullPointerException at org.netbeans.modules.cnd.makeproject.configurations.ConfigurationXMLCodec.<init>


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo